Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: Michael Albinus <[email-masked]>
Date: Wed, 01 Mar 2023 09:39:16 +0100

[email-masked] writes:

Hi Jérôme,

> Huh, I just noticed that Emacs doesn't use my configured value for 
> `tramp-remote-path`. I've set it through `customize` and it has the
> correct value in `custom.el` but `C-h v` shows that it has been
> reset to another value that doesn't include `tramp-own-remote-path`.
>
> It was fine when I first set it up (in 2016 according to the `hg`
> log) but it no longer is :(
>
> The issue is not in my config, I can reproduce it with:
>
> ```
> emacs -Q --eval "(custom-set-variables '(tramp-remote-path (tramp-own-remote-path tramp-default-remote-path)))" -l tramp
> ```
>
> Then `C-h v` or `(customize-variable 'tramp-remote-path)` shows
> that it has been reset to:
>
> ```
> (tramp-default-remote-path "/bin" "/usr/bin" "/sbin" "/usr/sbin" "/usr/local/bin" "/usr/local/sbin" "/local/bin" "/local/freeware/bin" "/local/gnu/bin" "/usr/freeware/bin" "/usr/pkg/bin" "/usr/contrib/bin" "/opt/bin" "/opt/sbin" "/opt/local/bin")
> ```
>
> Other Tramp customizations (e.g. `'(tramp-verbose 10)`) work fine.

Try

--8<---------------cut here---------------start------------->8---
# emacs -Q --eval "(custom-set-variables '(tramp-remote-path '(tramp-own-remote-path tramp-default-remote-path)))"
--8<---------------cut here---------------end--------------->8---

Note the additional apostrophe.

> Regards,
> Jérôme

Best regards, Michael.